#include <iostream>
using namespace std;


int main()
{
    int N, L;
    cin >> N;cin >> L;
    
     for (int i = 0; i < N; i++)
        {
            int H ;
            cin >> H;
            if(H <= L)
            {
               
                cout<<i + 1;

                return 0 ;
            }

        }
        cout << "-1";
}